<?php
/**
 * @package ScholarsGate
 */

//Return if the first widget area has no widgets
if ( !is_active_sidebar( 'footer-1' ) ) {
	return;
} ?>

<?php //user selected widget columns

	$scholarsgate_widget_num = esc_html(get_theme_mod('scholarsgate_footer_widgets', '4'));
	
	if ($scholarsgate_widget_num == '4') :
		$scholarsgate_col1 ='col-md-3';
		$scholarsgate_col2 ='col-md-3';
		$scholarsgate_col3 ='col-md-3';
		$scholarsgate_col4 ='col-md-3';
	elseif ($scholarsgate_widget_num == '3') :
		$scholarsgate_col1 ='col-md-4';
		$scholarsgate_col2 ='col-md-4';
		$scholarsgate_col3 ='col-md-4';
		
	elseif ($scholarsgate_widget_num == '2') :
		 $scholarsgate_col1 ='col-md-6';
		 $scholarsgate_col2 ='col-md-6';
	else :
		$scholarsgate_col1 ='col-md-12';
	endif;
?>
		
<?php 
	if ( is_active_sidebar( 'footer-1' ) && ( $scholarsgate_widget_num == '4' || $scholarsgate_widget_num == '3' || $scholarsgate_widget_num == '2' || $scholarsgate_widget_num == '1')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($scholarsgate_col1); ?>">
				<?php dynamic_sidebar( 'footer-1'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-2' ) && ( $scholarsgate_widget_num == '4' || $scholarsgate_widget_num == '3' || $scholarsgate_widget_num == '2')) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($scholarsgate_col2); ?>">
				<?php dynamic_sidebar( 'footer-2'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-3' ) && ( $scholarsgate_widget_num == '4' || $scholarsgate_widget_num == '3' )) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($scholarsgate_col3); ?>">
				<?php dynamic_sidebar( 'footer-3'); ?>
			</div>
		<?php
	endif;
	if ( is_active_sidebar( 'footer-4' ) && ( $scholarsgate_widget_num == '4' )) :
		?>
			<div class="widget-column px-3 <?php echo esc_attr($scholarsgate_col4); ?>">
				<?php dynamic_sidebar( 'footer-4'); ?>
			</div>
		<?php
	endif;
?>